jun

DSM 6.x.x Loader

Recommended Posts

On 10/3/2017 at 10:24 PM, zeekworld said:

Hello, 

I would like to know if there is a tutorial on woe to install the latest 1.02b loader and DSM 6.1.3 on a VMware esxi environment.

I've done a lot of research but noting I have tried seems to work.

Please, let me know if there is a guide somewhere and a special download link for the files specifically for esxi.

I did find a VM image but unfortunately I am on esxi 6.0 and the link VM was for 6.5.

I really appreciate your help and keep up with the good work!!

 

Zeek

 

I have run the latest XPEnology DSM/bootloader in ESXi with no problems. I just made a regular USB stick for installation and passed it through to the VM machine, then did a regular "bare metal" install of it. Just set the VM machine to boot into bios (UEFI) (and enable EFI), then in the virtual UEFI set the USB as boot device.
Any particular problems you have? Specific errors?

Share this post


Link to post
Share on other sites
On 10/5/2017 at 1:18 PM, negrito said:

Dear Synology friends, 

 

I am upgrading from a DS212+ to a DS916+ Braswell x86 64
On my DS212+ ARM I have running HDHumeRun Expand + 
TVHeadend + Oscam . I will like to have the same configuration 
on the DS916+ Braswell x86 64  Any body know a link to 
download this list_smargo-1.20-unstable_svn11279-x86_64
for synology Braswell x86 64 or have one to share Please? 

Thanks in advance.

 

Kind regards,
Negrito

do you realy need list_smargo? justo to list your smarteader identification? or you need oscam with libusb suport?

either way you can install debian chroot(from package center) and compile oscam(instructions on oscam svn) with libusb suport(it will compile list_smargo either), works very well.

Share this post


Link to post
Share on other sites
6 hours ago, JMRR said:

do you realy need list_smargo? justo to list your smarteader identification? or you need oscam with libusb suport?

either way you can install debian chroot(from package center) and compile oscam(instructions on oscam svn) with libusb suport(it will compile list_smargo either), works very well.

 

6 hours ago, JMRR said:

I already have oscam up an running, I only need to list the Smargo Smartreader to view the port/address/id

 

Dear Synology friends, 

 

I am upgrading from a DS212+ to a DS916+ Braswell x86 64
On my DS212+ ARM I have running HDHumeRun Expand + 
TVHeadend + Oscam . I will like to have the same configuration 
on the DS916+ Braswell x86 64  Any body know a link to 
download this list_smargo-1.20-unstable_svn11279-x86_64
for synology Braswell x86 64 or have one to share Please? 

Thanks in advance.

 

Kind regards,
Negrito

Share this post


Link to post
Share on other sites

Hi there, I've setted up a DS3615xs with DSM 6.0.2-8451 with 1.0.1 Loader

I would like to change to DS915 with 1.0.2b loader what have i to do?

Is there any way to do this change without losing data?

Share this post


Link to post
Share on other sites
3 hours ago, tamamma said:

Hi there, I've setted up a DS3615xs with DSM 6.0.2-8451 with 1.0.1 Loader

I would like to change to DS915 with 1.0.2b loader what have i to do?

Is there any way to do this change without losing data?

 

get a new usb stick, download loader for 916, put it on the stick, edit the cfg!

boot with the stick an choose migrate when asked (or make a test install on another hard diks)

 

you can test new loader with the new usb stick. in case its not working you can change back to old stick

ONCE YOU HAVE MIGRATED the data on your productive disk a downgrade is not possible the same way!

  • Like 1

Share this post


Link to post
Share on other sites

Hello,

 

I'm running dsm 6.1 update 4 916+ on baremetal pentium G4400 with 6 drives 32 gb ram. Everything is ok.

But i've discovered Virtual machine manager. It's very usefull for me but I can't run mode than 2 vm with 2 vcpu. According to me it's because DS916+ has only 4 cores.

Is it possible to turn around this (maybe using  DS 3617XS 4 core 8 threads)

 

@jun You and the community have made a fantastic work. Thanks a lot.

Share this post


Link to post
Share on other sites
5 hours ago, nokian80 said:

Hello,

 

i'm trying to upgrade and i see this message. 

 

Any ideas?

DSM 6.x.x Loader - Page 154 - XPEnology General discussion - XPEnology Community - Google Chrome.jpg

 

Check the pat file md5 hash

 

Is vid & pid of the stick correct?

 

Which loader and and hardware are you using?

  • Thanks 1

Share this post


Link to post
Share on other sites

I installed 6.1.3 and update after to V6 with load 1.2b, all good, and after a day of clean installing at 7-8 PM the webgui stop working showing: Sorry, the page you are looking for is not found.

 

I log in on root and i saw in /var/log/nginx/error.log

 

Quote

2017/10/10 21:10:17 [crit] 10664#10664: *1 connect() to unix:/run/synoscgi.sock failed (2: No such file or directory) while connecting to upstream, client: 192.168.11.48, server: _, request: "GET / HTTP/1.1", upstream: "scgi://unix:/run/synoscgi.sock:", host: "192.168.11.56:5000"

 

 

The socket is not here because the synoscgi can't start because of this error error while loading shared libraries:

 

Quote

/lib/libsynoshare.so.6: invalid ELF header

 

Hardware specs:

 

HP Microserver Gen8 

CPU: G2020T

RAM: 16 GB

Virtualized: ESXI 6.0

Any ideeas?

Edited by Centos

Share this post


Link to post
Share on other sites
On 10/10/2017 at 4:13 PM, therxavi said:

Hello,

 

I'm running dsm 6.1 update 4 916+ on baremetal pentium G4400 with 6 drives 32 gb ram. Everything is ok.

But i've discovered Virtual machine manager. It's very usefull for me but I can't run mode than 2 vm with 2 vcpu. According to me it's because DS916+ has only 4 cores.

Is it possible to turn around this (maybe using  DS 3617XS 4 core 8 threads)

 

@jun You and the community have made a fantastic work. Thanks a lot.

image.png.763beb63abfab09f7e15faa014cec654.png

 

Can somebody install Virtual Machine Manager beta and tell me how many Vcpu with how many real cores ?

 

Share this post


Link to post
Share on other sites
3 hours ago, therxavi said:

image.png.763beb63abfab09f7e15faa014cec654.png

 

Can somebody install Virtual Machine Manager beta and tell me how many Vcpu with how many real cores ?

 

Tried on another system with Intel 3770K (4 cores 8 threads) with DS3617XS more Vcpu but I don't know if it's because of 3617XS or the CPU :

image.png.8852a0919cc89044e17ecc2e464d8586.png

Share this post


Link to post
Share on other sites

I wanna update to dsm 6.1 with the latest loader but I got an AMD CPU. Now I checked for this C1E function in my UEFI but nothing is found.

 

Does anyone have any experience with this? I have an ASRock motherboard and AMD-E350M1 (Onboard CPU).

 

I do have cool and quiet mode, automatic mode (if i am not mistaken) and S6/C6 mode orsomething.

Share this post


Link to post
Share on other sites

On my AMD-E350M1 board from different manufacture (ASUS) it works without any changes in the BIOS. C1E disable required on HP N54L microserver.

Share this post


Link to post
Share on other sites
On 10/6/2017 at 5:41 PM, SteinerKD said:

I have run the latest XPEnology DSM/bootloader in ESXi with no problems. I just made a regular USB stick for installation and passed it through to the VM machine, then did a regular "bare metal" install of it. Just set the VM machine to boot into bios (UEFI) (and enable EFI), then in the virtual UEFI set the USB as boot device.
Any particular problems you have? Specific errors?

Thank you for your suggestion.

I was able to installed the latest DSM successfully following this video, even the video shows VMware Workstation Pro, I was able to replicate the same install on my esxi 6.0 environment.

 

  • Like 1

Share this post


Link to post
Share on other sites
1 minute ago, zeekworld said:

Thank you for your suggestion.

I was able to installed the latest DSM successfully following this video, even the video shows VMware Workstation Pro, I was able to replicate the same install on my esxi 6.0 environment.

 

 

Haha, if you check the comments under that video me and him are having a few discussions. :)

Share this post


Link to post
Share on other sites

Hi, It‘s this loader don't support the RTL8111H Network card?:o

it doesn't work on my gigabyte h87tn  Motherboard :cry:

Share this post


Link to post
Share on other sites
On 10/12/2017 at 8:32 PM, XPEH said:

On my AMD-E350M1 board from different manufacture (ASUS) it works without any changes in the BIOS. C1E disable required on HP N54L microserver.

 

Thanks for the information. Updated it and seems to be working fine:)

Share this post


Link to post
Share on other sites
On 10/13/2017 at 6:41 PM, kasimu said:

Hi, It‘s this loader don't support the RTL8111H Network card?:o

it doesn't work on my gigabyte h87tn  Motherboard :cry:

 

it does, as there are two possible drivers you might try both version

(you do not write much about what you did so its hard to tell where the problem is, i'd expect someting else then a r8168/r8169 driver problem - damn it i should have bin more serious when we had crystal ball gazing at school ;-) )

 

  • Thanks 1

Share this post


Link to post
Share on other sites
4 hours ago, IG-88 said:

 

it does, as there are two possible drivers you might try both version

(you do not write much about what you did so its hard to tell where the problem is, i'd expect someting else then a r8168/r8169 driver problem - damn it i should have bin more serious when we had crystal ball gazing at school ;-) )

 

Possibility of driver extension for jun 1.02b/3617xs Please ?  So I can migrate my Dell R710 ...

Share this post


Link to post
Share on other sites
On 2017-10-10 at 8:23 PM, Centos said:

I installed 6.1.3 and update after to V6 with load 1.2b, all good, and after a day of clean installing at 7-8 PM the webgui stop working showing: Sorry, the page you are looking for is not found.

 

I log in on root and i saw in /var/log/nginx/error.log

 

 

The socket is not here because the synoscgi can't start because of this error error while loading shared libraries:

 

 

Hardware specs:

 

HP Microserver Gen8 

CPU: G2020T

RAM: 16 GB

Virtualized: ESXI 6.0

Any ideeas?

Pretty much same setup but barebone and ACHI mode but exact same problem. 

Seems to be a common problem regardless of DSM version.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.